Bug 466643 - Grub fails to setup correctly boot procedure
Grub fails to setup correctly boot procedure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-11 19:32 EDT by Nikos Charonitakis
Modified: 2009-07-14 10:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:33:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Charonitakis 2008-10-11 19:32:06 EDT
Description of problem:
I see many complaints in local forums about f9 and f10 (alpha and beta) related to grub and fresh installations.
I recently experienced a similar problem and i ll describe it here.
I installed f9 on a sata disk  and an ide disk contained a win xp installation.
On first boot neither could boot.
grub configuration set:

splashimage=(hd1,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora (2.6.26.5-45.fc9.x86_64)
        root (hd1,0)

but installation actually was on (hd0,0)
so i have to edit these lines in order to boot to fedora.

After that i tried to boot winxp with no success.
I find that here we also have wrong disk detection:
        rootnoverify (hd0,0)
        chainloader +1

And i have to change to this in order to boot:

        root (hd1,0)
        map (hd1) (hd0)
        map (hd0) (hd1)
        makeactive
        chainloader +1





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Hans de Goede 2008-10-12 03:27:43 EDT
This sounds to me as one of 2 possible things happened:

1) Grub misdetected which Linux HD corresponds to which BIOS Hd, unlikely
2) You change the harddisk boot order in your BIOS after installing Linux.

I'm guessing 2, could this be the case?
Comment 2 Nikos Charonitakis 2008-10-12 07:02:44 EDT
2)yes i changed bios setting but -after- the intial failure. I reverted then back to original. In any case it could not boot.

btw
I had 2 disks, graphical install (on partitioning screen) detects disk1 as sda and disk2 as sdb.

Text mode install  detects (on partitioning screen) disk1 as sdb and disk2 as sda. Strange...
Comment 3 Chris Lumens 2008-10-13 10:33:09 EDT
Hard drive names are not guaranteed to be stable across reboots - it's all in the order that the kernel and friends detect them.  How fun.
Comment 4 Bug Zapper 2009-06-09 22:56:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:33:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.